/**
 * generated by Xtext 2.32.0
 */
package no.ntnu.tdt4250.componentsdsl.componentsDSL;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>System</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link no.ntnu.tdt4250.componentsdsl.componentsDSL.System#getComponents <em>Components</em>}</li>
 * </ul>
 *
 * @see no.ntnu.tdt4250.componentsdsl.componentsDSL.ComponentsDSLPackage#getSystem()
 * @model
 * @generated
 */
public interface System extends EObject
{
  /**
   * Returns the value of the '<em><b>Components</b></em>' containment reference list.
   * The list contents are of type {@link no.ntnu.tdt4250.componentsdsl.componentsDSL.Component}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Components</em>' containment reference list.
   * @see no.ntnu.tdt4250.componentsdsl.componentsDSL.ComponentsDSLPackage#getSystem_Components()
   * @model containment="true"
   * @generated
   */
  EList<Component> getComponents();

} // System
